[package]
authors = ["Ruben De Smet <ruben.de.smet@rubdos.be>"]
name = "glycos"
version = "0.1.0"
edition = "2018"

# [[bench]]
# harness = false
# name = "orm"

[[bench]]
harness = false
name = "ring_signature"

[[bench]]
harness = false
name = "cryptograph"

[[bench]]
harness = false
name = "schnorr_signature"

[[bench]]
harness = false
name = "ec"

[[bin]]
name = "glycos-explore"
required-features = ["cli"]

[[bin]]
name = "glycosd"
required-features = ["env_logger"]

[[test]]
harness = false
name = "master_key_generation"

# [[test]]
# name = "orm"

# [[test]]
# name = "node_torture"

[dependencies]
anyhow = "1"
# XXX app_dirs is deprecated
app_dirs = "1"
bincode = "1"
bytes = "1"
curve25519-dalek = "3"
digest = "0.9"
futures = { version = "0.3", features = ["async-await"]}
log = "0.4"
rand = "0.8"
ring = "0.16.9"
serde = { version = "1.0.82", features = ["derive"] }
sha3 = "0.9"
tiny-keccak = { version = "2.0.1", features = ["keccak", "shake"] }
sled = { version = "0.34", features = ["compression"]}
subtle = "2"
z85 = "3"
thiserror = "1"

[dependencies.libp2p]
version = "0.41"
default-features = false
features = [
    "kad",
    "tcp-tokio",
    "dns-tokio",
    "noise",
    "websocket",
    "mplex",
    "yamux",
    "identify",
    "ping",
    "relay",
    "mdns",
]

[dependencies.tokio]
version = "1"
features = ["net", "time", "io-util", "macros"]

[dev-dependencies.tokio-test]
version = "0.4"

[dependencies.clap]
optional = true
version = "2"

[dependencies.either]
features = ["serde"]
version = "1.5.0"

[dependencies.env_logger]
optional = true
version = "0.9"

[dependencies.rustyline]
optional = true
version = "8"

[dev-dependencies]
criterion = "0.3"
env_logger = "0.9"
tempdir = "0.3.7"

[features]
cli = [
    "rustyline",
    "clap",
    "env_logger",
]
daemon = [
    "clap",
    "env_logger",
]
default = []
expensive-tests = []
no-relay = []
